DPDK patches and discussions
 help / color / mirror / Atom feed
From: David Marchand <david.marchand@redhat.com>
To: dev@dpdk.org
Cc: thomas@monjalon.net, ferruh.yigit@intel.com,
	bruce.richardson@intel.com, mdr@ashroe.eu
Subject: [dpdk-dev] [PATCH v3 2/3] devtools: catch symbol duplicates in version map
Date: Thu, 13 May 2021 10:34:14 +0200	[thread overview]
Message-ID: <20210513083415.32187-2-david.marchand@redhat.com> (raw)
In-Reply-To: <20210513083415.32187-1-david.marchand@redhat.com>

Add a check on versioned symbol duplicates in map files.

Signed-off-by: David Marchand <david.marchand@redhat.com>
---
Changes since v1:
- rebased,

---
 devtools/check-symbol-maps.sh | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

diff --git a/devtools/check-symbol-maps.sh b/devtools/check-symbol-maps.sh
index 08451ef5aa..8a976dc97f 100755
--- a/devtools/check-symbol-maps.sh
+++ b/devtools/check-symbol-maps.sh
@@ -34,4 +34,19 @@ if [ -n "$orphan_symbols" ] ; then
     ret=1
 fi
 
+find_duplicate_symbols ()
+{
+    for map in $(find lib drivers -name '*.map') ; do
+        buildtools/map-list-symbol.sh $map | \
+            sort | uniq -c | grep -v " 1 $map" || true
+    done
+}
+
+duplicate_symbols=$(find_duplicate_symbols)
+if [ -n "$duplicate_symbols" ] ; then
+    echo "Found duplicates in symbol map file:"
+    echo "$duplicate_symbols"
+    ret=1
+fi
+
 exit $ret
-- 
2.23.0


  reply	other threads:[~2021-05-13  8:34 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-02-25 11:14 [dpdk-dev] [PATCH] " David Marchand
2021-02-25 11:41 ` Thomas Monjalon
2021-02-25 11:57   ` Bruce Richardson
2021-02-25 12:01     ` Thomas Monjalon
2021-02-25 12:05       ` Bruce Richardson
2021-02-25 13:14         ` Thomas Monjalon
2021-05-05 14:30 ` [dpdk-dev] [PATCH v2 1/2] " David Marchand
2021-05-05 14:30   ` [dpdk-dev] [PATCH v2 2/2] buildtools: check symbol maps in developer mode David Marchand
2021-05-06  9:31     ` Kinsella, Ray
2021-05-12 20:24       ` Thomas Monjalon
2021-05-12 20:38         ` Thomas Monjalon
2021-05-13  7:06           ` David Marchand
2021-05-13  8:34 ` [dpdk-dev] [PATCH v3 1/3] devtools: fix orphan symbols check with busybox David Marchand
2021-05-13  8:34   ` David Marchand [this message]
2021-05-13  8:34   ` [dpdk-dev] [PATCH v3 3/3] build: check symbol maps in developer mode David Marchand
2021-05-19 10:52     ` Thomas Monjalon

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20210513083415.32187-2-david.marchand@redhat.com \
    --to=david.marchand@redhat.com \
    --cc=bruce.richardson@intel.com \
    --cc=dev@dpdk.org \
    --cc=ferruh.yigit@intel.com \
    --cc=mdr@ashroe.eu \
    --cc=thomas@monjalon.net \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).